/*****************************************************************/
/*********                                               *********/
/********* AUTOR:    ANTONIO ARMANDO BIZA FERREIRA       *********/
/********* PROJECTO: ECG                                 *********/
/********* DATA:     01-02-2017                          *********/
/********* IDE:      CODE COMPOSER STUDIO V5             *********/
/********* MCU:      MSP432 	                            *********/
/*********                                               *********/
/********* FILE:     LCD.H                               *********/
/*********                                               *********/
/*****************************************************************/

#ifndef LCD_H_
#define LCD_H_

/*****************************************************************/
/********* LCD Pinout                                    *********/
/*****************************************************************/
/*                                                               */
/*  Pin 1   VSS                                                  */
/*  Pin 2   VDD                                                  */
/*  Pin 3   VO                                                   */
/*  Pin 4   RS                                                   */
/*  Pin 5   RW                                                   */
/*  Pin 6   E                                                    */
/*  Pin 7   D0                                                   */
/*  Pin 8   D1                                                   */
/*  Pin 9   D2                                                   */
/*  Pin 10  D3                                                   */
/*  Pin 11  D4                                                   */
/*  Pin 12  D5                                                   */
/*  Pin 13  D6                                                   */
/*  Pin 14  D7                                                   */
/*  Pin 15  K                                                    */
/*  Pin 16  A                                                    */
/*                                                               */
/*****************************************************************/
#define ADDR_RAM	0x40
#define ROW_ONE		0x80
#define ROW_TWO		0xC0
#define CMD_END		0x01

/*****************************************************************/
/********* INCLUDE                                       *********/
/*****************************************************************/

#include "main.h"
#include <string.h>
#include <stdio.h>

/*****************************************************************/
/********* FUNCTIONS                                     *********/
/*****************************************************************/

void LCD_PortConfig(void);
void LCD_Initialize(void);
void LCD_SetText(char* text, int x, int y);
void LCD_SetInt(int val, int x, int y);
void LCD_Clear(void);
void LCD_LoadSymbols(void);
void LCD_SetSymbol(unsigned char symbol, unsigned char offset, unsigned char line);

/*****************************************************************/
/********* ENDIF                                         *********/
/*****************************************************************/
#endif



